%define real_name xattr
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary:	Extended attributes for python
Name:		python-xattr
Version:	0.7.9
Release:	%mkrel 1
License:	GPLv2
Group:		Development/Python
URL:		http://pypi.python.org/pypi/xattr
Source:		xattr-%{version}.tar.xz

BuildRequires:	libattr-devel
BuildRequires:	pkgconfig(libffi)

%description
python-xattr is a C extension module for Python which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%package -n python3-xattr
Summary:	Extended attributes for Python 3
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	python3-ply
BuildRequires:	python3-pycparser
Requires:	python3-pkg-resources
Requires:	python3-cffi

%description -n python3-xattr
python-xattr is a C extension module for Python 3 which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%prep
%setup -q -n %{real_name}-%{version}
rm -rf xattr.egg-info
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install -- --install-purelib=%{python3_sitearch}
popd

%py2_install -- --install-purelib=%{python2_sitearch}


%files
%{_bindir}/xattr
%{python2_sitearch}/xattr/
%{python2_sitearch}/xattr-%{version}-py?.?.egg-info/

%files -n python3-xattr
%{python3_sitearch}/xattr/
%{python3_sitearch}/xattr-%{version}-py?.?.egg-info/

%changelog
* Mon Oct 23 2017 Conan Kudo <Conan Kudo> 0.7.9-1pclos2017
- Update to 0.7.9
- Sync packaging with mga
- Enable Python 3 subpackage
- no python2 just python (tex)
